Bug 122014 - FILEOPEN Chart title alignment changes to left
Summary: FILEOPEN Chart title alignment changes to left
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
6.1.4.2 release
Hardware: All All
: medium normal
Assignee: Tünde Tóth
URL:
Whiteboard: target:7.1.0 target:7.0.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2018-12-10 16:25 UTC by Gabor Kelemen (allotropia)
Modified: 2020-07-14 19:54 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word (31.30 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-12-10 16:25 UTC, Gabor Kelemen (allotropia)
Details
Screenshot of the chart in Word and Writer side by side (122.85 KB, image/png)
2018-12-10 16:25 UTC, Gabor Kelemen (allotropia)
Details
Screenshot of the document in LO 6.1.0 (201.76 KB, image/png)
2018-12-10 16:27 UTC, Gabor Kelemen (allotropia)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen (allotropia) 2018-12-10 16:25:03 UTC
Created attachment 147426 [details]
Example file from Word

Chart title alignment in chart created with Word changes to left when the document is opened in LibreOffice Calc 6.3.0.0.alpha0+.

Steps to reproduce:

    1. Open the attached file with Writer. This is a reduced version of attachment #125238 [details] spotted at bug #104344
    2. Open a copy with Word.
    3. Compare the original file opened in Word and Writer.
    4. Notice that the chart title alignment changes to left from centered.

Actual results:
Regression: chart title is aligned to left when the document is opened in LibreOffice Writer 6.3.0.0.alpha0+.

Expected results:
Chart title should have the same position as the original file when the document is opened in Word.

LibreOffice details:
Version: 6.3.0.0.alpha0+
Build ID: f3ea5e21bea80004b04edbf0287d4a2e1aaef5d0
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: threaded

Earlier LibreOffice version details (the alignment is good)
Verzió: 6.1.0.3 
Build az.: efb621ed25068d70781dc026f7e9c5187a4decd1 
CPU szálak: 4; OS: Windows 10.0; Felületmegjelenítés: alapértelmezett;

Bibisect log (bibisect-win32-6.2):
# bad: [0349e457a1ce3b99dfd630f6b138a760a033c6c7] source sha:da957eff1dc2e4b9e49a27799344978af03a6e24
# good: [b0a56ec98b1368cb5e3e531e0b3f69565af91609] source sha:3a801799536e6870f2fb111b1cc00b9575a35a39
git bisect start 'origin/master' 'oldest'
# good: [0c1cf5303ebe81065f205a3a747e0e277812f690] source sha:c5bef7505a6b761cf586abb4316776069ce0e887
git bisect good 0c1cf5303ebe81065f205a3a747e0e277812f690
# good: [0c1cf5303ebe81065f205a3a747e0e277812f690] source sha:c5bef7505a6b761cf586abb4316776069ce0e887
git bisect good 0c1cf5303ebe81065f205a3a747e0e277812f690
# good: [0c1cf5303ebe81065f205a3a747e0e277812f690] source sha:c5bef7505a6b761cf586abb4316776069ce0e887
git bisect good 0c1cf5303ebe81065f205a3a747e0e277812f690
# good: [01e5febd6cf162429900a5073175431681b4234b] source sha:79449d73900d7a9bf061244d76f5f8eecc441198
git bisect good 01e5febd6cf162429900a5073175431681b4234b
# good: [e0b2a25bd43f471b38594ab6b5c6fd21176831b8] source sha:e49c42d17f50c8b0cac9db08dedc375dd5aa8a98
git bisect good e0b2a25bd43f471b38594ab6b5c6fd21176831b8
# good: [e343acd3d0b9672c20838265b4b7a57b6b56399d] source sha:7eebdd24ee72a8deef869eca53103094632aeb59
git bisect good e343acd3d0b9672c20838265b4b7a57b6b56399d
# good: [7bed3782e91e20eed07dae9e3f00a633631a1098] source sha:6adf631468d22d08158567670d0b609068cb0061
git bisect good 7bed3782e91e20eed07dae9e3f00a633631a1098
# good: [42656ca0de1667619a838382df279cb5a32a76aa] source sha:a9cabfed5ea019c2e69220d924d000688bb5c935
git bisect good 42656ca0de1667619a838382df279cb5a32a76aa
# good: [1cee4bb952d41f5af8b3c2e3113203d2bb4c73c9] source sha:cadccdb35d565624937001ba6d6c641bd1b27eb5
git bisect good 1cee4bb952d41f5af8b3c2e3113203d2bb4c73c9
# good: [6c66593fcdbf3445d8db38c3163958bf49fdf9b7] source sha:da89a85bbba71a965b75f06e628e001f48c57c2c
git bisect good 6c66593fcdbf3445d8db38c3163958bf49fdf9b7
# bad: [09703ffe77ff2ebe0da0c03a0e24abe7f634b0f8] source sha:d2ddd9d9f062a458bb04c85cf031d2b2567d6fa9
git bisect bad 09703ffe77ff2ebe0da0c03a0e24abe7f634b0f8
# bad: [aa4a9ab14e8d27504e6d60902292044c862a3ec5] source sha:173937d66a48b2e4c1f2ca60a44373fff72a505c
git bisect bad aa4a9ab14e8d27504e6d60902292044c862a3ec5
# good: [c4c583a124eb18e5255bcd85e5c1cfaf7e7f8cea] source sha:19805f580fcbcf890790f8c6ab736aab80c08de7
git bisect good c4c583a124eb18e5255bcd85e5c1cfaf7e7f8cea
# bad: [e336c592b6b85bf7a8445a4dc66e75a1daddf9cf] source sha:c0acd3532e8604dfe19bc117fcf6cce3413a7606
git bisect bad e336c592b6b85bf7a8445a4dc66e75a1daddf9cf
# bad: [939ab7d16bf55442f1be610d199c446b69bc3502] source sha:d4190685ac208677bc77f66976287dda0360c42d
git bisect bad 939ab7d16bf55442f1be610d199c446b69bc3502
# first bad commit: [939ab7d16bf55442f1be610d199c446b69bc3502] source sha:d4190685ac208677bc77f66976287dda0360c42d

https://gerrit.libreoffice.org/plugins/gitiles/core/+/d4190685ac208677bc77f66976287dda0360c42d
Comment 1 Gabor Kelemen (allotropia) 2018-12-10 16:25:47 UTC
Created attachment 147427 [details]
Screenshot of the chart in Word and Writer side by side
Comment 2 Gabor Kelemen (allotropia) 2018-12-10 16:27:10 UTC
Created attachment 147428 [details]
Screenshot of the document in LO 6.1.0
Comment 3 raal 2018-12-10 19:19:22 UTC
Confirm with Version: 6.3.0.0.alpha0+
Build ID: 1ee8d4f63adf3113a4733a479c8faf9eb65f7b8d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3;
Comment 4 Gabor Kelemen (allotropia) 2019-07-17 11:17:23 UTC
@Andrés: I just saw that you pushed a fix for this exact bug to the MIMO-branch here: 

https://cgit.freedesktop.org/libreoffice/core/commit/?h=distro/mimo/mimo-6-1&id=2703468fbd62cc1d3ab19d05890600cd22a5b9d7

Could you please submit it to the TDF-master branch too? This would be a nice contribution from MIMO :).

Thanks in advance!
Comment 5 Andrés Maldonado 2019-07-17 13:30:43 UTC
@Gabor, not for the moment. Unfortunately my patch reintroduces tdf#114836 :(
Comment 6 Xisco Faulí 2019-07-17 13:46:23 UTC
(In reply to Andrés Maldonado from comment #5)
> @Gabor, not for the moment. Unfortunately my patch reintroduces tdf#114836 :(

not a solution then
Comment 7 Commit Notification 2020-07-13 08:49:40 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f6fc6ab2a2792c22a3e74cce83ac7d19c820c9b4

tdf#122014 Chart OOXML import: set chart title alignment to center

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2020-07-14 15:00:06 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 616a47c9570f9ce67b18a124f08f4a342bff3468
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Tünde Tóth , thanks for fixing this issue!!
Comment 9 Commit Notification 2020-07-14 19:54:03 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/944892091ad30c5da192b20d189c7a4388b0c91d

tdf#122014 Chart OOXML import: set chart title alignment to center

It will be available in 7.0.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.